% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Connection.R
\name{Chi_squared}
\alias{Chi_squared}
\title{Chi-squared Statistic for Association Between Two Variables}
\usage{
Chi_squared(a, b)
}
\arguments{
\item{a}{First array or vector. Can be numeric or a categorical factor.}

\item{b}{Second array or vector. Can be numeric or a categorical factor.}
}
\value{
The Chi-squared statistic measuring association between the variables.
}
\description{
Calculates the Chi-squared statistic from a contingency table constructed using two input vectors.
Both parameters can be a categorical (non-numeric) variable, allowing flexibility in input types.
Variable \code{a} is used as rows, and \code{b} as columns in the contingency table.
}
\examples{
Chi_squared(c(1, 3, 3, 6, 10), c("a", "b", "c", "d", "e"))

}
